## nom.tam.fits
Class RandomGroupsHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.RandomGroupsHDU

public class RandomGroupsHDU
extends BasicHDU

Random groups HDUs. Note that the internal storage of random groups is a Object[ngroup][2] array. The first element of each group is the parameter data from that group. The second element is the data. The parameters should be a one dimensional array of the primitive types byte, short, int, long, float or double. The second element is a n-dimensional array of the same type. When analyzing group data structure only the first group is examined, but for a valid FITS file all groups must have the same structure.

Field Summary

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`RandomGroupsHDU(Header myHeader)`
`RandomGroupsHDU(Object[][] data)`

Method Summary
`void` `info()` Display structural information about the current HDU.
`boolean` `isHeader()` Check that this HDU has a valid header.
`static boolean` `isHeader(Header myHeader)` Is the a random groups header?
`Data` `manufactureData()` Create a FITS Data object corresponding to this HDU header.
`(package private) static void` `pointToData(Header h, Object[][] data)` Make a header point to the given object.

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomGroupsHDU

    public RandomGroupsHDU(Header myHeader)
                    throws FitsException

### RandomGroupsHDU

    public RandomGroupsHDU(Object[][] data)
                    throws FitsException

Method Detail

### pointToData

    static void pointToData(Header h,
                            Object[][] data)
                     throws FitsException

  Make a header point to the given object.

  Parameters:
    `h` - The header to be modified.
    `data` - The random groups data the header should describe.
  Throws:
    `FitsException`

### isHeader

    public static boolean isHeader(Header myHeader)

  Is the a random groups header?

  Parameters:
    `myHeader` - The header to be tested.

### isHeader

    public boolean isHeader()

  Check that this HDU has a valid header.

  Returns:
    `true` if this HDU has a valid header.

### manufactureData

    public Data manufactureData()
                         throws FitsException

  Create a FITS Data object corresponding to this HDU header.

  Specified by:
    `manufactureData` in class `BasicHDU`
  Returns:
    An unfilled Data object which can be used to read in the data for this HDU.
  Throws:
    `FitsException` - if the Data object could not be created from this HDU's Header

### info

    public void info()

  Display structural information about the current HDU.

  Specified by:
    `info` in class `BasicHDU`